Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.xpath
Class XPathExpressionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.xpath.XPathException
                        |
                        +--javax.xml.xpath.XPathExpressionException

Direct Known Subclasses:
  XPathFunctionException

public class XPathExpressionException
extends XPathException

`XPathExpressionException` represents an error in an XPath expression.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`XPathExpressionException(java.lang.String message)` Constructs a new `XPathExpressionException` with the specified detail `message`.
`XPathExpressionException(java.lang.Throwable cause)` Constructs a new `XPathExpressionException` with the specified `cause`.

Methods inherited from class javax.xml.xpath.XPathException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathExpressionException

    public XPathExpressionException(java.lang.String message)

  Constructs a new `XPathExpressionException` with the specified detail `message`.

  The `cause` is not initialized.

  If `message` is `null`, then a `NullPointerException` is thrown.

  Parameters:
    `message` - The detail message.

### XPathExpressionException

    public XPathExpressionException(java.lang.Throwable cause)

  Constructs a new `XPathExpressionException` with the specified `cause`.

  If `cause` is `null`, then a `NullPointerException` is thrown.

  Parameters:
    `cause` - The cause.
  Throws:
    java.lang.NullPointerException - if `cause` is `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.